Subject: Re: [Gen-art] Gen-ART review for draft-cardenas-dff-09

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 27 Mar 2013 13:52:12 +0000

Hi Ulrich,

I apologize for the late response but travel and holidays intervened. 

The updated version answers all my concerns, and thank you for addressing these and for the improved specification. 

I have only one clarification question to ask, related to your answers:

> >6. In section 9.2 - what happened if when adding a new Processed Tuple
> >based on a new incoming packet the routing discovers that the
> >P_seq_number is already in used for another entry in the list. This can
> >happen, as the sequence numbers are unique per routers, and current
> >packets may originate from different routers? Is this not a problem?
> Why?
> 
> That would not be a problem as for each packet, existing tuples are
> searched using *both*
> +  P_orig_address = the Originator Address of the current Packet,
>           AND;
>        +  P_seq_number = the sequence number of the current Packet.
> 
> 
> So a tuple with same P_seq_number but different P_orig_address would not
> be returned

Is the algorithm clarified some place in the specification, and I could not find it? If such explanation existed it would have answered my concern from start, maybe I missed it. If this is not clearly stated, maybe adding such an explanation would be useful. 

Thanks and Regards,

Dan

> -----Original Message-----
> From: Ulrich Herberg [mailto:[email-masked]]
> Sent: Monday, March 11, 2013 7:29 PM
> To: Romascanu, Dan (Dan); [email-masked]
> Cc: Ralph Droms (rdroms); [email-masked];
> [email-masked]; [email-masked]; Alvaro Cardenas; Ted Lemon
> Subject: Re: Gen-ART review for draft-cardenas-dff-09
> 
> Dan,
> 
> thank you very much for your review. I tried to address your comments,
> and have submitted a new revision just now:
> http://tools.ietf.org/html/draft-cardenas-dff-10
> See below:
>